%define    mversion 0.9.15
%define    subversion 1.3.6
%define    Release 2
Summary:   A server-side, dav implementation for Apache
Name:      mod_dav
Version:   %{mversion}_%{subversion}
Release:   %{Release}
URL:       http://www.webdav.org/mod_dav/
Source:    http://www.webdav.org/mod_dav/mod_dav-%{mversion}-%{subversion}.tar.gz
Copyright: GPL
Group: Networking/Daemons
Requires:  apache-devel expat 
Provides:  mod-dav
BuildRoot: /var/tmp/%{name}-%{version}-root
Packager: Mirko Zeibig <mz@webideal.de>
Vendor: webIdeal (http://www.webideal.de)
%description
Adds dav extentions to apache-1.3.6.

%prep
%setup -q -n %{name}-%{mversion}-%{subversion}
%build
./configure --prefix=/usr --with-axps=/usr/sbin/axps
env CPPFLAGS="$RPM_OPT_FLAGS" make
strip libdav.so

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/lib/apache
install -m755 libdav.so $RPM_BUILD_ROOT/usr/lib/apache
strip $RPM_BUILD_ROOT/usr/lib/apache/*.so

%files
/usr/lib/apache/libdav.so
%doc util CHANGES INSTALL README LICENSE.html

%clean
rm -rf $RPM_BUILD_ROOT


%post  -p /bin/bash 
httpd="/etc/httpd/conf/httpd.conf"
if [ -f $httpd  ]; then 
    echo -e "Configuring apache for you...\n"
if ! grep -q '.*LoadModule *dav_module' $httpd ; then
sed "s|^\LoadModule setenvif_module    lib/apache/mod_setenvif.so\$|LoadModule setenvif_module    lib/apache/mod_setenvif.so\\
LoadModule dav_module  lib/apache/libdav.so|" < $httpd > $httpd-
mv -f $httpd- $httpd
    fi

if ! grep -q '.*AddModule *mod_dav\.c' $httpd ; then
sed "s|^\AddModule mod_setenvif.c\$|AddModule mod_setenvif.c\\
AddModule mod_dav.c|" < $httpd > $httpd-
mv -f $httpd- $httpd
    fi
if [ -x /etc/rc.d/init.d/httpd ]; then
/etc/rc.d/init.d/httpd restart
    fi
else
echo "I cannot find your apache webserver configuration files"
echo "you will have to add the following lines  to httpd.conf"
echo "manualy to use the dav module with apache:"
echo
echo "LoadModule dav_module lib/apache/mod_dav.so"
echo
echo "AddModule mod_dav.c"
echo
    fi


%preun -p /bin/bash 
httpd="/etc/httpd/conf/httpd.conf"
if [ -f $httpd  ]; then # Main
echo -e "Removing dav entry from apache configuration...\n"
awk < $httpd > $httpd- '
{ printed=0 }
/.*LoadModule *dav_module/ { printed=1 }
/.*AddModule *mod_dav/ { printed=1 }
(printed==0) { print $0 }
'
mv -f $httpd- $httpd
if [ -x /etc/rc.d/init.d/httpd ]; then
/etc/rc.d/init.d/httpd restart
    fi
else
echo "I cannot find your apache webserver configuration files"
echo "you will have to remove the following lines from httpd.conf"
echo "manualy.  Your wevserver will not run until you remove these"
echo "lines."
echo
echo "LoadModule dav_module lib/apache/mod_dav.so"
echo
echo "AddModule mod_dav.c"
echo
    fi

%changelog
* Sat Feb 19 2000 Mirko Zeibig <mz@webideal.de>
- new version now using configure, adapted Greg's scripts
  a bit to SSL-Apache
* Tue Jul 28 1999 Greg LaPolla <glapolla@earthlink.net>
- Made spec file Built on redhat 6.0

